"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function generateTypeFile(type, nominator) {
    var lines = [];
    var comment = type.comment;
    if (comment) {
        lines.push("/** ".concat(comment, " */"));
    }
    lines.push("type ".concat(nominator(type.name), " = ").concat(type.values
        .map(function (v) { return "'".concat(v, "'"); })
        .join(' | '), ";"));
    lines.push("export default ".concat(nominator(type.name), ";"));
    return lines;
}
exports.default = generateTypeFile;
